<?php

class listing {

    protected $_list = array();
    public $sortable = false;

    public function __construct() {
        
    }
    
    /**
     * Кол-во пунктов
     * @return integer
     */
    public function count() {
        return count($this->_list);
    }

    /**
     * Добавление поста
     * @param type $post
     * @return listing_post
     */
    public function post($post = false) {
        if (is_a($post, 'listing_post')) {
            $this->_list[] = $post;
            return true;
        }
        if ($post === false) {
            return $this->_list[] = new listing_post();
        }
    }

    /**
     * Добавление чекбокса
     * @param type $ch
     * @return listing_checkbox
     */
    public function checkbox($ch = false) {
        if (is_a($ch, 'listing_checkbox')) {
            $this->_list[] = $ch;
            return true;
        }
        if ($ch === false) {
            return $this->_list[] = new listing_checkbox();
        }
    }

    /**
     * получение контента
     * @param string $text_if_empty Текст, отображаемый при отсутствии пунктов
     * @return string
     */
    public function fetch($text_if_empty = '') {
        if (!$this->_list && $text_if_empty) {
            $post = new listing_post($text_if_empty);
            $post->icon('empty');
            $content = $post->template();
        } else {
            $content = '';
            foreach ($this->_list AS $post) {
                $content .= $post->template();
            }
        }


        $template = new design();
        $template->assign('sortable', $this->sortable);
        $template->assign('content', $content);
        return $template->fetch('listing.tpl');
    }

    /**
     * отображение
     * @param string $text_if_empty Текст, отображаемый при отсутствии пунктов
     */
    public function display($text_if_empty = '') {
        echo $this->fetch($text_if_empty);
    }

}

?>
